import http from "./config";

/**
 * 1
 */
//1添加课程学员
export const addStudent = (obj) =>
  http.post("/admin/offcourse/addStudent", obj);
//2面授课审核？
export const auditView = (obj) => http.post("/admin/offcourse/auditView", obj);
//3删除开课
export const deletePlan = (obj) =>
  http.delete(
    "/admin/offcourse/deletePlan",
    { params: obj },
    {
      headers: { "Content-Type": "application/x-www-form-urlencoded" },
    }
  );
//4获取面授课详情
export const detail = (obj) =>
  http.post("/admin/offcourse/detail", obj, {
    headers: { "Content-Type": "application/x-www-form-urlencoded" },
  });
//5获取面授课开课详情
export const detailPlan = (obj) =>
  http.post("/admin/offcourse/detailPlan", obj, {
    headers: { "Content-Type": "application/x-www-form-urlencoded" },
  });
//6新建或编辑面授课
export const edit = (obj) => http.post("/admin/offcourse/edit", obj);
//7新建或编辑面授课开课
export const editPlan = (obj) => http.post("/admin/offcourse/editPlan", obj);
//8课程导出
export const exportP = (obj) => http.post("/admin/offcourse/export", obj);
//9操作面授课(发布,撤回,删除，审核，停用)
export const handle = (obj) => http.post("/admin/offcourse/handle", obj);
//10学员操作-支持批量
export const handleStudent = (obj) =>
  http.post("/admin/offcourse/handleStudent", obj);
//11获取面授课列表
export const list = (obj) => http.post("/admin/offcourse/list", obj);
//12获取面授课已审核列表？
export const listReview = (obj) =>
  http.post("/admin/offcourse/listReview", obj);
//13面授课开课列表
export const planList = (obj) => http.post("/admin/offcourse/planList", obj);
//14学员导出
export const studentExport = (obj) =>
  http.post("/admin/offcourse/studentExport", obj);
//15获取学员列表
export const studentList = (obj) =>
  http.post("/admin/offcourse/studentList", obj);
//16学习记录列表？
export const studyRecordList = (obj) =>
  http.post("/admin/offcourse/studyRecordList", obj);

// 获取员工信息
export const getMemberInfoApi = (obj) =>
  http.post("/admin/orgStruct/getMemberInfo", obj);
